Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AbstractDrawingTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AbstractDrawingTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AbstractDrawingTool.cs	(revision 4068)
@@ -1,185 +1,163 @@
 using System.Drawing;
 using System.Windows.Forms;
-using System.Diagnostics;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// The base class for a drawing tool.
+  /// </summary>
+  public abstract class AbstractDrawingTool :
+      AbstractTool,
+      IMouseListener,
+      IKeyboardListener {
+
+    #region Fields
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// The base class for a drawing tool.
+    /// The starting point of the rectangle being drawn.
     /// </summary>
-    public abstract class AbstractDrawingTool :
-        AbstractTool,
-        IMouseListener,
-        IKeyboardListener
-    {
+    // ------------------------------------------------------------------
+    protected Point startingPoint;
 
-        #region Fields
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Says whether the startingPoint was set, otherwise the ghost will 
+    /// appear even before an initial point was set!
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected bool started;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The starting point of the rectangle being drawn.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected Point startingPoint;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Says whether the startingPoint was set, otherwise the ghost will 
-        /// appear even before an initial point was set!
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected bool started;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The actual rectangle which serves as a basis for the drawing of 
-        /// ellipses, rectangles, etc.
-        /// </summary>
-        // ------------------------------------------------------------------
-        private RectangleF mRectangle;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// The actual rectangle which serves as a basis for the drawing of 
+    /// ellipses, rectangles, etc.
+    /// </summary>
+    // ------------------------------------------------------------------
+    private RectangleF mRectangle;
 
 
-        #endregion
+    #endregion
 
-        #region Properties
-        protected RectangleF Rectangle
-        {
-            get { return mRectangle; }
-            set { mRectangle = value; }
-        }
+    #region Properties
+    protected RectangleF Rectangle {
+      get { return mRectangle; }
+      set { mRectangle = value; }
+    }
 
 
 
-        #endregion
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Default constructor
-        /// </summary>
-        /// <param name="name"></param>
-        protected AbstractDrawingTool(string name)
-            : base(name)
-        {
-        }
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Default constructor
+    /// </summary>
+    /// <param name="name"></param>
+    protected AbstractDrawingTool(string name)
+      : base(name) {
+    }
+    #endregion
 
-        #region Methods
+    #region Methods
 
-        protected override void OnActivateTool()
-        {
+    protected override void OnActivateTool() {
 
-            Controller.View.CurrentCursor = CursorPalette.Add;
+      Controller.View.CurrentCursor = CursorPalette.Add;
 
-        }
+    }
 
-        protected override void OnDeactivateTool()
-        {
+    protected override void OnDeactivateTool() {
 
-            base.OnDeactivateTool();
-        }
+      base.OnDeactivateTool();
+    }
 
-        #region Explicit implementation of IKeyboardListener
-        void IKeyboardListener.KeyDown(KeyEventArgs e)
-        {
-            OnKeyDown(e);
-        }
+    #region Explicit implementation of IKeyboardListener
+    void IKeyboardListener.KeyDown(KeyEventArgs e) {
+      OnKeyDown(e);
+    }
 
-        void IKeyboardListener.KeyUp(KeyEventArgs e)
-        {
-            OnKeyUp(e);
-        }
+    void IKeyboardListener.KeyUp(KeyEventArgs e) {
+      OnKeyUp(e);
+    }
 
-        void IKeyboardListener.KeyPress(KeyPressEventArgs e)
-        {
-            OnKeyPress(e);
-        }
+    void IKeyboardListener.KeyPress(KeyPressEventArgs e) {
+      OnKeyPress(e);
+    }
 
-        protected virtual void OnKeyDown(KeyEventArgs e)
-        {
-            //if (e.Handled) return;
+    protected virtual void OnKeyDown(KeyEventArgs e) {
+      //if (e.Handled) return;
 
-            if (e.KeyData == Keys.Escape)
-            {
-                DeactivateTool();
-                Controller.View.ResetGhost();
-                e.Handled = true;
-            }
-        }
-        protected virtual void OnKeyUp(KeyEventArgs e)
-        {
-            if (e.Handled) return;
-        }
+      if (e.KeyData == Keys.Escape) {
+        DeactivateTool();
+        Controller.View.ResetGhost();
+        e.Handled = true;
+      }
+    }
+    protected virtual void OnKeyUp(KeyEventArgs e) {
+      if (e.Handled) return;
+    }
 
-        protected virtual void OnKeyPress(KeyPressEventArgs e)
-        {
-            if (e.Handled) return;
-        }
-        #endregion
+    protected virtual void OnKeyPress(KeyPressEventArgs e) {
+      if (e.Handled) return;
+    }
+    #endregion
 
-        #region Explicit implementation of IMouseListener
-        bool IMouseListener.MouseDown(MouseEventArgs e)
-        {
-            return OnMouseDown(e);
-        }
+    #region Explicit implementation of IMouseListener
+    bool IMouseListener.MouseDown(MouseEventArgs e) {
+      return OnMouseDown(e);
+    }
 
-        void IMouseListener.MouseMove(MouseEventArgs e)
-        {
-            OnMouseMove(e);
-        }
+    void IMouseListener.MouseMove(MouseEventArgs e) {
+      OnMouseMove(e);
+    }
 
-        void IMouseListener.MouseUp(MouseEventArgs e)
-        {
-            OnMouseUp(e);
-        }
+    void IMouseListener.MouseUp(MouseEventArgs e) {
+      OnMouseUp(e);
+    }
 
 
-        protected virtual bool OnMouseDown(MouseEventArgs e)
-        {
-            if (IsActive && e.Button == MouseButtons.Left)
-            {
-                startingPoint = new Point(e.X, e.Y);
-                started = true;
-                return true;
-            }
-            return false;
-        }
+    protected virtual bool OnMouseDown(MouseEventArgs e) {
+      if (IsActive && e.Button == MouseButtons.Left) {
+        startingPoint = new Point(e.X, e.Y);
+        started = true;
+        return true;
+      }
+      return false;
+    }
 
-        protected virtual void OnMouseMove(MouseEventArgs e)
-        {
+    protected virtual void OnMouseMove(MouseEventArgs e) {
 
-        }
+    }
 
-        protected virtual void OnMouseUp(MouseEventArgs e)
-        {
-            if ((IsActive) &&
-                (started) &&
-                (Controller.View.Ghost != null))
-            {
+    protected virtual void OnMouseUp(MouseEventArgs e) {
+      if ((IsActive) &&
+          (started) &&
+          (Controller.View.Ghost != null)) {
 
-                //base.RestoreCursor();
-                Point point = new Point(e.X, e.Y);
-                //mRectangle = new Rectangle(startingPoint.X, startingPoint.Y, point.X - startingPoint.X, point.Y - startingPoint.Y);
-                //mRectangle = base.Controller.View.ViewToWorld(base.Controller.View.DeviceToView(rectangle));
-                mRectangle = Controller.View.Ghost.Rectangle;
-                GhostDrawingComplete();
-                Controller.View.ResetGhost();
-                started = false;
-            }
-        }
-        #endregion
+        //base.RestoreCursor();
+        Point point = new Point(e.X, e.Y);
+        //mRectangle = new Rectangle(startingPoint.X, startingPoint.Y, point.X - startingPoint.X, point.Y - startingPoint.Y);
+        //mRectangle = base.Controller.View.ViewToWorld(base.Controller.View.DeviceToView(rectangle));
+        mRectangle = Controller.View.Ghost.Rectangle;
+        GhostDrawingComplete();
+        Controller.View.ResetGhost();
+        started = false;
+      }
+    }
+    #endregion
 
-        /// <summary>
-        /// This method will be called when the user has finished drawing a 
-        /// ghost rectangle or bundle and initiates the actual creation of a 
-        /// bundle and the addition to the model via the appropriate command.
-        /// </summary>
-        protected abstract void GhostDrawingComplete();
+    /// <summary>
+    /// This method will be called when the user has finished drawing a 
+    /// ghost rectangle or bundle and initiates the actual creation of a 
+    /// bundle and the addition to the model via the appropriate command.
+    /// </summary>
+    protected abstract void GhostDrawingComplete();
 
-        #endregion
+    #endregion
 
 
 
 
-    }
+  }
 
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignBottomEdgesTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignBottomEdgesTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignBottomEdgesTool.cs	(revision 4068)
@@ -1,58 +1,48 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Collections;
 using System.Drawing;
-using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Aligns the bottom edges of the selected entities.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class AlignBottomEdgesTool : AlignmentToolBase {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Aligns the bottom edges of the selected entities.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class AlignBottomEdgesTool : AlignmentToolBase
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The name of this tool</param>
-        // ------------------------------------------------------------------
-        public AlignBottomEdgesTool(string toolName)
-            : base(toolName)
-        {
-        }
+    /// <param name="toolName">string: The name of this tool</param>
+    // ------------------------------------------------------------------
+    public AlignBottomEdgesTool(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Aligns the bottom edges of all selected entities.  The vertical
-        /// location of the first entity in the selection is used for all 
-        /// other entities vertical location.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override void Align(IDiagramEntity[] entities)
-        {
-            // We want to align the bottom edges, so we need to set the
-            // vertical location of each shape to one value.  We're
-            // going use the first entity in the selection to determine
-            // this setting.
-            Point offset;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Aligns the bottom edges of all selected entities.  The vertical
+    /// location of the first entity in the selection is used for all 
+    /// other entities vertical location.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override void Align(IDiagramEntity[] entities) {
+      // We want to align the bottom edges, so we need to set the
+      // vertical location of each shape to one value.  We're
+      // going use the first entity in the selection to determine
+      // this setting.
+      Point offset;
 
-            for (int i = 1; i < entities.Length; i++)
-            {
-                IDiagramEntity entity = entities[i];
+      for (int i = 1; i < entities.Length; i++) {
+        IDiagramEntity entity = entities[i];
 
-                // Keep the entities same y location but offset it's
-                // x location.
-                offset = new Point(
-                    0,
-                    this.bottomEdgeOfFirstEntity - entity.Rectangle.Bottom);
+        // Keep the entities same y location but offset it's
+        // x location.
+        offset = new Point(
+            0,
+            this.bottomEdgeOfFirstEntity - entity.Rectangle.Bottom);
 
-                // Move the entity by this amount.
-                entity.MoveBy(offset);
-            }
-        }
+        // Move the entity by this amount.
+        entity.MoveBy(offset);
+      }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignCentersHorizontallyTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignCentersHorizontallyTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignCentersHorizontallyTool.cs	(revision 4068)
@@ -1,55 +1,45 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Collections;
 using System.Drawing;
-using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Aligns the center of the selected entities horizontally.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class AlignCentersHorizontallyTool : AlignmentToolBase {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Aligns the center of the selected entities horizontally.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class AlignCentersHorizontallyTool : AlignmentToolBase
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The name of this tool</param>
-        // ------------------------------------------------------------------
-        public AlignCentersHorizontallyTool(string toolName)
-            : base(toolName)
-        {
-        }
+    /// <param name="toolName">string: The name of this tool</param>
+    // ------------------------------------------------------------------
+    public AlignCentersHorizontallyTool(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Aligns the center of all selected entities horizontally.  The 
-        /// 'X' component of the center location of the first entity in the 
-        /// selection is used for all other entities.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override void Align(IDiagramEntity[] entities)
-        {
-            // The amount to offset the entities by.
-            Point offset;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Aligns the center of all selected entities horizontally.  The 
+    /// 'X' component of the center location of the first entity in the 
+    /// selection is used for all other entities.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override void Align(IDiagramEntity[] entities) {
+      // The amount to offset the entities by.
+      Point offset;
 
-            for (int i = 1; i < entities.Length; i++)
-            {
-                IDiagramEntity entity = entities[i];
+      for (int i = 1; i < entities.Length; i++) {
+        IDiagramEntity entity = entities[i];
 
-                // Keep the entities same y location but offset it's
-                // x location.
-                offset = new Point(
-                    this.centerOfFirstEntity.X - entity.Center.X,
-                    0);
+        // Keep the entities same y location but offset it's
+        // x location.
+        offset = new Point(
+            this.centerOfFirstEntity.X - entity.Center.X,
+            0);
 
-                // Move the entity by this amount.
-                entity.MoveBy(offset);
-            }
-        }
+        // Move the entity by this amount.
+        entity.MoveBy(offset);
+      }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignCentersVerticallyTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignCentersVerticallyTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignCentersVerticallyTool.cs	(revision 4068)
@@ -1,55 +1,45 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Collections;
 using System.Drawing;
-using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Aligns the center of the selected entities vertically.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class AlignCentersVerticallyTool : AlignmentToolBase {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Aligns the center of the selected entities vertically.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class AlignCentersVerticallyTool : AlignmentToolBase
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The name of this tool</param>
-        // ------------------------------------------------------------------
-        public AlignCentersVerticallyTool(string toolName)
-            : base(toolName)
-        {
-        }
+    /// <param name="toolName">string: The name of this tool</param>
+    // ------------------------------------------------------------------
+    public AlignCentersVerticallyTool(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Aligns the center of all selected entities vertically.  The 
-        /// 'Y' component of the center location of the first entity in the 
-        /// selection is used for all other entities.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override void Align(IDiagramEntity[] entities)
-        {
-            // The amount to offset the entities by.
-            Point offset;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Aligns the center of all selected entities vertically.  The 
+    /// 'Y' component of the center location of the first entity in the 
+    /// selection is used for all other entities.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override void Align(IDiagramEntity[] entities) {
+      // The amount to offset the entities by.
+      Point offset;
 
-            for (int i = 1; i < entities.Length; i++)
-            {
-                IDiagramEntity entity = entities[i];
+      for (int i = 1; i < entities.Length; i++) {
+        IDiagramEntity entity = entities[i];
 
-                // Keep the entities same x location but offset it's
-                // y location.
-                offset = new Point(
-                    0,
-                    this.centerOfFirstEntity.Y - entity.Center.Y);
+        // Keep the entities same x location but offset it's
+        // y location.
+        offset = new Point(
+            0,
+            this.centerOfFirstEntity.Y - entity.Center.Y);
 
-                // Move the entity by this amount.
-                entity.MoveBy(offset);
-            }
-        }
+        // Move the entity by this amount.
+        entity.MoveBy(offset);
+      }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignLeftEdgesTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignLeftEdgesTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignLeftEdgesTool.cs	(revision 4068)
@@ -1,58 +1,48 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Collections;
 using System.Drawing;
-using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Aligns the left edges of the selected entities.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class AlignLeftEdgesTool : AlignmentToolBase {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Aligns the left edges of the selected entities.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class AlignLeftEdgesTool : AlignmentToolBase
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The name of this tool</param>
-        // ------------------------------------------------------------------
-        public AlignLeftEdgesTool(string toolName)
-            : base(toolName)
-        {
-        }
+    /// <param name="toolName">string: The name of this tool</param>
+    // ------------------------------------------------------------------
+    public AlignLeftEdgesTool(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Aligns the left edges of all selected entities.  The horizontal
-        /// location of the first entity in the selection is used for all 
-        /// other entities horizontal location.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override void Align(IDiagramEntity[] entities)
-        {
-            // We want to align the left edges, so we need to set the
-            // horizontal location of each shape to one value.  We're
-            // going use the first entity in the selection to determine
-            // this setting.
-            Point offset;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Aligns the left edges of all selected entities.  The horizontal
+    /// location of the first entity in the selection is used for all 
+    /// other entities horizontal location.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override void Align(IDiagramEntity[] entities) {
+      // We want to align the left edges, so we need to set the
+      // horizontal location of each shape to one value.  We're
+      // going use the first entity in the selection to determine
+      // this setting.
+      Point offset;
 
-            for (int i = 1; i < entities.Length; i++)
-            {
-                IDiagramEntity entity = entities[i];
+      for (int i = 1; i < entities.Length; i++) {
+        IDiagramEntity entity = entities[i];
 
-                // Keep the entities same y location but offset it's
-                // x location.
-                offset = new Point(
-                    this.xLocationOfFirstEntity - entity.Rectangle.Location.X,
-                    0);
+        // Keep the entities same y location but offset it's
+        // x location.
+        offset = new Point(
+            this.xLocationOfFirstEntity - entity.Rectangle.Location.X,
+            0);
 
-                // Move the entity by this amount.
-                entity.MoveBy(offset);
-            }
-        }
+        // Move the entity by this amount.
+        entity.MoveBy(offset);
+      }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignRightEdgesTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignRightEdgesTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignRightEdgesTool.cs	(revision 4068)
@@ -1,58 +1,48 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Collections;
 using System.Drawing;
-using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Aligns the right edges of the selected entities.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class AlignRightEdgesTool : AlignmentToolBase {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Aligns the right edges of the selected entities.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class AlignRightEdgesTool : AlignmentToolBase
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The name of this tool</param>
-        // ------------------------------------------------------------------
-        public AlignRightEdgesTool(string toolName)
-            : base(toolName)
-        {
-        }
+    /// <param name="toolName">string: The name of this tool</param>
+    // ------------------------------------------------------------------
+    public AlignRightEdgesTool(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Aligns the right edges of all selected entities.  The horizontal
-        /// location of the first entity in the selection is used for all 
-        /// other entities horizontal location.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override void Align(IDiagramEntity[] entities)
-        {
-            // We want to align the left edges, so we need to set the
-            // horizontal location of each shape to one value.  We're
-            // going use the first entity in the selection to determine
-            // this setting.
-            Point offset;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Aligns the right edges of all selected entities.  The horizontal
+    /// location of the first entity in the selection is used for all 
+    /// other entities horizontal location.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override void Align(IDiagramEntity[] entities) {
+      // We want to align the left edges, so we need to set the
+      // horizontal location of each shape to one value.  We're
+      // going use the first entity in the selection to determine
+      // this setting.
+      Point offset;
 
-            for (int i = 1; i < entities.Length; i++)
-            {
-                IDiagramEntity entity = entities[i];
+      for (int i = 1; i < entities.Length; i++) {
+        IDiagramEntity entity = entities[i];
 
-                // Keep the entities same y location but offset it's
-                // x location.
-                offset = new Point(
-                    this.rightEdgeOfFirstEntity - entity.Rectangle.Right,
-                    0);
+        // Keep the entities same y location but offset it's
+        // x location.
+        offset = new Point(
+            this.rightEdgeOfFirstEntity - entity.Rectangle.Right,
+            0);
 
-                // Move the entity by this amount.
-                entity.MoveBy(offset);
-            }
-        }
+        // Move the entity by this amount.
+        entity.MoveBy(offset);
+      }
     }
+  }
 }
